Bug 9832 - expect should be split
Summary: expect should be split
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcltk   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-28 15:35 UTC by Nils Philippsen
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-16 07:46:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2000-02-28 15:35:38 UTC
expect should be split in a package which contains non-X/Tk stuff (e.g.
kibitz) and the rest which needs Tk/X (e.g. tkpasswd) so that non-X
stuff can be installed on e.g. servers without the need to --nodeps the
install or (ugh) to install X.

Comment 1 Jeff Johnson 2000-06-03 14:05:39 UTC
You're correct that expect should be split. I'll revisit the issue if/when
expect-5.32 is released.

Comment 2 Nils Philippsen 2001-01-29 17:39:56 UTC
expect is still just one package and requires X11 installed. I am aware that we
are in beta and don't want to mess around splitting packages, but could we at
least fix that in a future 7.x or 8 or whatever it is called then?

Comment 3 Eido Inoue 2001-02-13 19:09:11 UTC
package count is locked for next release. it should be split though. deferring.


Comment 4 jpranevich 2001-06-22 17:17:53 UTC
Can this be reopened for 7.2? This problem, although minor, has bitten us 
before and it would be nice to have it clean in the next release. (Installing 
XF86-libs on a no-console system is somewhat humorous...)

Comment 5 Nils Philippsen 2001-07-02 05:29:47 UTC
Reopened for upcoming version. Adrian, do you need any assistance with this?

Comment 6 Eido Inoue 2001-08-23 18:36:57 UTC
Deferring until the next major release to lessen the upgrade difficulties
between dot releases.


Comment 7 Nils Philippsen 2002-09-30 15:32:44 UTC
Reopened for te next release. Please.

Comment 8 Jens Petersen 2002-11-12 01:39:49 UTC
The next package release when it is ready should have expect split into
several pieces.

Comment 9 Jens Petersen 2002-12-10 06:05:28 UTC
tcltk-8.3.5-76 and later has expect, expectk and expect-devel
subpackages for expect now.


Note You need to log in before you can comment on or make changes to this bug.